import {ApiCall} from "tsrpc";
import {ReqItemNoEnough, ResItemNoEnough} from "../../shared/protocols/pushgift/PtlItemNoEnough";
import {PushGiftFun} from "../../public/pushgift";

export default async function (call: ApiCall<ReqItemNoEnough, ResItemNoEnough>) {
    // 物品不足 前端拦截的 通知后端 检测推送礼包
    PushGiftFun.chkItemGift(call.uid, {a: call.req.need.a, t: call.req.need.t, n: 0})
    call.succ({})
}